共用方式為


Managed Certificates - Update

更新受控憑證的標籤
修補受管理憑證。 支援標籤的 Oly 修補

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}/managedCertificates/{managedCertificateName}?api-version=2026-01-01

URI 參數

名稱 位於 必要 類型 Description
environmentName
path True

string

受管理環境的名稱。

managedCertificateName
path True

string

受控憑證的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 類型 Description
tags

object

以索引鍵/值組形式的應用程式特定元數據。

回應

名稱 類型 Description
200 OK

ManagedCertificate

受控憑證已成功更新。

Other Status Codes

ErrorResponse

常見錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 流

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Patch Managed Certificate

範例要求

PATCH https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/testcontainerenv/managedCertificates/certificate-firendly-name?api-version=2026-01-01

{
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  }
}

範例回覆

{
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/testcontainerenv/managedCertificates/certificate-firendly-name",
  "type": "Microsoft.App/ManagedEnvironments/managedCertificates",
  "location": "East US",
  "properties": {
    "subjectName": "CN=my-subject-name.company.country.net",
    "provisioningState": "Succeeded",
    "domainControlValidation": "CNAME"
  }
}

定義

名稱 Description
createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

ManagedCertificate

受控環境中用於容器應用程式的自定義網域系結的受控憑證

ManagedCertificatePatch

要更新的受控憑證

Properties

工作負載配置檔資源特定屬性。

systemData

與建立和上次修改資源相關的元數據。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ManagedCertificate

受控環境中用於容器應用程式的自定義網域系結的受控憑證

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源所在的地理位置

name

string

資源的名稱

properties

Properties

憑證資源特定屬性

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts”

ManagedCertificatePatch

要更新的受控憑證

名稱 類型 Description
tags

object

以索引鍵/值組形式的應用程式特定元數據。

Properties

工作負載配置檔資源特定屬性。

名稱 類型 Description
currentCount

integer (int32)

目前的節點計數。

maximumCount

integer (int32)

節點數目上限。

minimumCount

integer (int32)

執行個體的最小計數。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。